

#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>

#define output(directions,pin) (directions |= pin) // set port direction for output
#define set(port,pin) (port |= pin) // set port pin
#define clear(port,pin) (port &= (~pin)) // clear port pin

#define LED_port PORTA
#define LED_direction DDRA
#define Button (1 << PA0)
#define Led (1 << PA1)


int main(void) {

   //
   // set clock divider to /1
   //
   CLKPR = (1 << CLKPCE);
   CLKPR = (0 << CLKPS3) | (0 << CLKPS2) | (0 << CLKPS1) | (0 << CLKPS0);
   //
   // initialize output pins
   //
   output(LED_direction, Led);
   set(LED_port, Led);
   
   //

   // main loop
   //
   while (1) {

	clear(LED_port, Led);
	_delay_ms(1000);
	set(LED_port, Led);
	_delay_ms(1000);

      }
   }
